namespace WebApplication1.DAL
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("operacionesGas.InformeDiarioGas")]
    public partial class InformeDiarioGas
    {
        [Column(TypeName = "date")]
        public DateTime? FechaInforme { get; set; }

        [Key]
        [Column(Order = 0)]
        [DatabaseGenerated(DatabaseGeneratedOption.None)]
        public int IdTeam { get; set; }

        [Key]
        [Column(Order = 1)]
        [DatabaseGenerated(DatabaseGeneratedOption.None)]
        public int IdEstado { get; set; }

        [Key]
        [Column(Order = 2)]
        [DatabaseGenerated(DatabaseGeneratedOption.None)]
        public int IdTipoOperacion { get; set; }

        public int? IdProvincia { get; set; }

        [StringLength(255)]
        public string CodigoOperario { get; set; }

        [StringLength(255)]
        public string Operario { get; set; }

        public int? IdResultadoIntervencion { get; set; }

        public int? IdMotivoFracaso { get; set; }

        public DateTime? FechaInicioTrabajoCasaCliente { get; set; }

        public DateTime? FechaFinTrabajoCasaCliente { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaFinalizacion { get; set; }

        [Column(TypeName = "date")]
        public DateTime? FechaCreacionOrdenSGC { get; set; }

        [StringLength(150)]
        public string Municipio { get; set; }
    }
}
